<?php
/*------------------------------------------------------------------------
# com_zhgooglemap - Zh GoogleMap
# ------------------------------------------------------------------------
# author    Dmitry Zhuk
# copyright Copyright (C) 2011 zhuk.cc. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
# Websites: http://zhuk.cc
# Technical Support Forum: http://forum.zhuk.cc/
-------------------------------------------------------------------------*/
// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$canOrder	= $user->authorise('core.edit.state', 'com_zhgooglemap.category');
$saveOrder	= $listOrder=='ordering';

?>
<tr>
	<th width="50">
		<?php echo JHtml::_('grid.sort', 'COM_ZHGOOGLEMAP_MAPMARKER_HEADING_ID', 'h.id', $listDirn, $listOrder); ?>
	</th>
	<th width="20">
		<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
	</th>			
	<th>
		<?php echo JHtml::_('grid.sort', 'COM_ZHGOOGLEMAP_MAPMARKER_HEADING_TITLE', 'h.title', $listDirn, $listOrder); ?>
	</th>
	<th>
		<?php echo JText::_('COM_ZHGOOGLEMAP_MAPMARKER_HEADING_MAPTITLE'); ?>
	</th>
	<th width="5">
		<?php echo JText::_('COM_ZHGOOGLEMAP_MAPMARKER_HEADING_ICONTYPE'); ?>
	</th>
	<th width="80">
		<?php echo JHtml::_('grid.sort', 'COM_ZHGOOGLEMAP_MAPMARKER_HEADING_PUBLISHED', 'h.published', $listDirn, $listOrder); ?>
	</th>
	<th>
		<?php echo JText::_('COM_ZHGOOGLEMAP_MAPMARKER_HEADING_MARKERGROUP'); ?>
	</th>
	<th>
		<?php echo JHtml::_('grid.sort', 'COM_ZHGOOGLEMAP_MAPMARKER_HEADING_CATEGORY', 'category_title', $listDirn, $listOrder); ?>
	</th>
	<th width="10%">
		<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'ordering', $listDirn, $listOrder); ?>
		<?php if ($canOrder && $saveOrder): ?>
			<?php echo JHtml::_('grid.order',  $this->items, 'filesave.png', 'mapmarkers.saveorder'); ?>
		<?php endif;?>
	</th>
	<th width="90">
		<?php echo JHtml::_('grid.sort', 'COM_ZHGOOGLEMAP_MAPMARKER_HEADING_RATING', 'h.rating_value', $listDirn, $listOrder); ?>
	</th>
	<th width="10%" class="nowrap hidden-phone">
		<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ACCESS', 'h.access', $listDirn, $listOrder); ?>
	</th>	
	<th>
		<?php echo JText::_('COM_ZHGOOGLEMAP_MAPMARKER_HEADING_USER'); ?>
	</th>
</tr>


